﻿//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated from a template.
//
//     Manual changes to this file may cause unexpected behavior in your application.
//     Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace EnergyMission.Data
{
    using System;
    using System.Data.Entity;
    using System.Data.Entity.Infrastructure;
    
    public partial class EmDbContext : DbContext
    {
        public EmDbContext()
            : base("name=EmDbContext")
        {
        }
    
        protected override void OnModelCreating(DbModelBuilder modelBuilder)
        {
            throw new UnintentionalCodeFirstException();
        }
    
        public virtual DbSet<C__MigrationHistory> C__MigrationHistory { get; set; }
        public virtual DbSet<Address> Addresses { get; set; }
        public virtual DbSet<AspNetRole> AspNetRoles { get; set; }
        public virtual DbSet<AspNetUserClaim> AspNetUserClaims { get; set; }
        public virtual DbSet<AspNetUserLogin> AspNetUserLogins { get; set; }
        public virtual DbSet<AspNetUser> AspNetUsers { get; set; }
        public virtual DbSet<ChangeLog> ChangeLogs { get; set; }
        public virtual DbSet<ClientAdministrator> ClientAdministrators { get; set; }
        public virtual DbSet<Client> Clients { get; set; }
        public virtual DbSet<ClientTeamManager> ClientTeamManagers { get; set; }
        public virtual DbSet<ClientTeam> ClientTeams { get; set; }
        public virtual DbSet<ContactDetail> ContactDetails { get; set; }
        public virtual DbSet<ContactDetailsAddress> ContactDetailsAddresses { get; set; }
        public virtual DbSet<Country> Countries { get; set; }
        public virtual DbSet<CSVImport> CSVImports { get; set; }
        public virtual DbSet<CustomSavingTarget> CustomSavingTargets { get; set; }
        public virtual DbSet<DataPoint> DataPoints { get; set; }
        public virtual DbSet<LocationMapping> LocationMappings { get; set; }
        public virtual DbSet<Organization> Organizations { get; set; }
        public virtual DbSet<Person> Persons { get; set; }
        public virtual DbSet<PostCode> PostCodes { get; set; }
        public virtual DbSet<ResetSetResourcePrice> ResetSetResourcePrices { get; set; }
        public virtual DbSet<Sensor> Sensors { get; set; }
        public virtual DbSet<SetResourcePrice> SetResourcePrices { get; set; }
        public virtual DbSet<Site> Sites { get; set; }
        public virtual DbSet<State> States { get; set; }
        public virtual DbSet<StructureDivision> StructureDivisions { get; set; }
        public virtual DbSet<StructureDivisionSensor> StructureDivisionSensors { get; set; }
        public virtual DbSet<Structure> Structures { get; set; }
        public virtual DbSet<Suburb> Suburbs { get; set; }
        public virtual DbSet<UserProfileInformation> UserProfileInformations { get; set; }
        public virtual DbSet<ClientTeamMember> ClientTeamMembers { get; set; }
        public virtual DbSet<ClientTeamsSensor> ClientTeamsSensors { get; set; }
    }
}
